Deploy logstash logback encoder with scap3
Closed, ResolvedPublic

Description

/srv/deployment/logstash-logback-encoder is deployed using Trebuchet, and should be converted to scap3.

greg created this task.Oct 22 2015, 10:24 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg added projects: Scap, Deployment-Systems.
greg added subscribers: demon, mmodell, thcipriani and 3 others.
greg edited projects, added scap2; removed Deployment-Systems.Feb 9 2016, 11:33 PM
dduvall moved this task from Needs triage to Adoption on the Scap board.Feb 12 2016, 7:51 PM
dduvall raised the priority of this task from Normal to High.
dduvall lowered the priority of this task from High to Normal.Feb 12 2016, 7:57 PM
dduvall added a subscriber: dduvall.
mmodell moved this task from Adoption to Scap3-Adoption-Phase1 on the Scap board.Mar 4 2016, 7:01 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.
Eevans updated the task description. (Show Details)
thcipriani renamed this task from Deploy Cassandra with scap3 to Deploy logstash logback encoder.Jun 8 2016, 10:49 PM
thcipriani updated the task description. (Show Details)
thcipriani set Security to None.
Legoktm renamed this task from Deploy logstash logback encoder to Deploy logstash logback encoder with scap3.Jun 8 2016, 10:52 PM
demon added a comment.Mar 14 2017, 5:50 PM

Is this still even a thing? /srv/deployment/logstash-logback-encoder doesn't exist. I see /srv/deployment/logstash, but no associated task for that.

GWicke added a subscriber: GWicke.

I am not aware of this being related to services. Dropping the tag for that reason.

I suspect that this task is stale, and the service does not exist anymore at all.

greg added a subscriber: Eevans.Jul 11 2017, 9:48 PM

It's within the Cassandra dir on tin:

gjg@tin:/srv/deployment/cassandra$ ls -1
logstash-logback-encoder
metrics-collector
twcs

@Eevans please advise on whether this is still something that is being used or if it can be cleaned up from tin.

It's within the Cassandra dir on tin:

gjg@tin:/srv/deployment/cassandra$ ls -1
logstash-logback-encoder
metrics-collector
twcs

@Eevans please advise on whether this is still something that is being used or if it can be cleaned up from tin.

It is definitely still being used, it's how Cassandra logs to logstash; It still needs to be converted to scap3 (and there hasn't been any progress on that as of yet).

Change 366466 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/software/logstash-logback-encoder@master] Add the Scap3 configuration

https://gerrit.wikimedia.org/r/366466

Change 366473 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[operations/puppet@production] Cassandra: Switch logback-encoder to Scap3

https://gerrit.wikimedia.org/r/366473

Change 366466 merged by Filippo Giunchedi:
[operations/software/logstash-logback-encoder@master] Add the Scap3 configuration

https://gerrit.wikimedia.org/r/366466

Change 366473 merged by Filippo Giunchedi:
[operations/puppet@production] Cassandra: Switch logback-encoder to Scap3

https://gerrit.wikimedia.org/r/366473

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:13:11Z] <mobrovac@tin> Started deploy [cassandra/logstash-logback-encoder@d085ffa] (staging): first Scap3 deployment - T116340

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:13:23Z] <mobrovac@tin> Finished deploy [cassandra/logstash-logback-encoder@d085ffa] (staging): first Scap3 deployment - T116340 (duration: 00m 03s)

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:28:27Z] <mobrovac@tin> Started deploy [cassandra/logstash-logback-encoder@d085ffa] (staging): first Scap3 deployment (rest of the nodes) - T116340

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:28:39Z] <mobrovac@tin> Finished deploy [cassandra/logstash-logback-encoder@d085ffa] (staging): first Scap3 deployment (rest of the nodes) - T116340 (duration: 00m 12s)

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:29:58Z] <mobrovac@tin> Started deploy [cassandra/logstash-logback-encoder@d085ffa]: first Scap3 deployment - T116340

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:30:33Z] <mobrovac@tin> Finished deploy [cassandra/logstash-logback-encoder@d085ffa]: first Scap3 deployment - T116340 (duration: 00m 34s)

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:30:49Z] <mobrovac@tin> Started deploy [cassandra/logstash-logback-encoder@d085ffa] (aqs): first Scap3 deployment - T116340

Mentioned in SAL (#wikimedia-operations) [2017-08-10T19:31:58Z] <mobrovac@tin> Finished deploy [cassandra/logstash-logback-encoder@d085ffa] (aqs): first Scap3 deployment - T116340 (duration: 01m 08s)

mobrovac claimed this task.Thu, Aug 10, 7:37 PM
mobrovac closed this task as Resolved.

The repository has been switched to Scap3, resolving.